Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.uima.cas
Enum TypeClass

    java.lang.Object
      java.lang.Enum<TypeClass>
          org.apache.uima.cas.TypeClass

All Implemented Interfaces:
  Serializable, Comparable<TypeClass>

    public enum TypeClass

extends Enum<TypeClass>

Enum Constant Summary
`TYPE_CLASS_BOOLEAN`
`TYPE_CLASS_BOOLEANARRAY`
`TYPE_CLASS_BYTE`
`TYPE_CLASS_BYTEARRAY`
`TYPE_CLASS_DOUBLE`
`TYPE_CLASS_DOUBLEARRAY`
`TYPE_CLASS_FLOAT`
`TYPE_CLASS_FLOATARRAY`
`TYPE_CLASS_FS`
`TYPE_CLASS_FSARRAY`
`TYPE_CLASS_INT`
`TYPE_CLASS_INTARRAY`
`TYPE_CLASS_INVALID`
`TYPE_CLASS_LONG`
`TYPE_CLASS_LONGARRAY`
`TYPE_CLASS_SHORT`
`TYPE_CLASS_SHORTARRAY`
`TYPE_CLASS_STRING`
`TYPE_CLASS_STRINGARRAY`

Method Summary
`static TypeClass` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypeClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TYPE_CLASS_INVALID

    public static final TypeClass TYPE_CLASS_INVALID

### TYPE_CLASS_INT

    public static final TypeClass TYPE_CLASS_INT

### TYPE_CLASS_FLOAT

    public static final TypeClass TYPE_CLASS_FLOAT

### TYPE_CLASS_STRING

    public static final TypeClass TYPE_CLASS_STRING

### TYPE_CLASS_BOOLEAN

    public static final TypeClass TYPE_CLASS_BOOLEAN

### TYPE_CLASS_FS

    public static final TypeClass TYPE_CLASS_FS

### TYPE_CLASS_BYTE

    public static final TypeClass TYPE_CLASS_BYTE

### TYPE_CLASS_SHORT

    public static final TypeClass TYPE_CLASS_SHORT

### TYPE_CLASS_LONG

    public static final TypeClass TYPE_CLASS_LONG

### TYPE_CLASS_DOUBLE

    public static final TypeClass TYPE_CLASS_DOUBLE

### TYPE_CLASS_INTARRAY

    public static final TypeClass TYPE_CLASS_INTARRAY

### TYPE_CLASS_FLOATARRAY

    public static final TypeClass TYPE_CLASS_FLOATARRAY

### TYPE_CLASS_STRINGARRAY

    public static final TypeClass TYPE_CLASS_STRINGARRAY

### TYPE_CLASS_FSARRAY

    public static final TypeClass TYPE_CLASS_FSARRAY

### TYPE_CLASS_BOOLEANARRAY

    public static final TypeClass TYPE_CLASS_BOOLEANARRAY

### TYPE_CLASS_BYTEARRAY

    public static final TypeClass TYPE_CLASS_BYTEARRAY

### TYPE_CLASS_SHORTARRAY

    public static final TypeClass TYPE_CLASS_SHORTARRAY

### TYPE_CLASS_LONGARRAY

    public static final TypeClass TYPE_CLASS_LONGARRAY

### TYPE_CLASS_DOUBLEARRAY

    public static final TypeClass TYPE_CLASS_DOUBLEARRAY

Method Detail

### values

    public static final TypeClass[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TypeClass c : TypeClass.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TypeClass valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.